function [] = generateSoundSourceColors()
%GENERATESOUNDSOURCECOLORS Generates unique identifier value for a sound source.
%   Generates a 1D vector with values between 0 and 1. This vector is used
%   to identify sound sources by color in the timeOfArrival plot.

global artoaWorkspace artoaDataInput;

soundsourceNames = fieldnames(artoaDataInput.soundsources);

artoaWorkspace.soundSourceColorId = ...
    [1:length(soundsourceNames)] / length(soundsourceNames);

end

