function [] = shiftToaSelection()
%SHIFTTOA Summary of this function goes here
%   Detailed explanation goes here

global artoaGui artoaWorkspace;

%% Select polygon

if ~artoa.controller.edit.dataPointsSelected(artoaWorkspace.editTimeOfArrival)
    warndlg('You need to select data by using the "Pick" button first!', 'No data selected');
    return;
end

%% Ask for shift value

answer = inputdlg({'Enter shift value:'}, 'Shift TOAs', [1 35], {'0'});
if isempty(answer)
    return
end

answer = str2num(answer{1});

if isnan(answer)
    return;
end

artoaWorkspace.toaData.toa = artoa.data.shiftToa(artoaWorkspace.toaData.toa, answer);

[artoaGui.editTimeOfArrival, artoaWorkspace.editTimeOfArrival] = ...
    artoa.controller.edit.clearSelection(artoaGui.editTimeOfArrival, artoaWorkspace.editTimeOfArrival);

artoa.controller.edit.updateAvailablePlots();


end

