function [] = loadInterim()
%LOADINTERIM Loads the current state of ARTOA4 from the file specified by dialog.
%   

global artoaDataInput;

%% Get required variables
folder = artoa.data.getMember(artoaDataInput, {'ini', 'directory', 'interim'}, pwd());
filter = artoa.data.getMember(artoaDataInput, {'ini', 'filemask', 'interim'}, '*.itm');


%% Ask for filename
filename = uigetfile(fullfile(folder, filter));

if (filename == 0)
    return;
end

%% Load mat file
load(filename, '-mat');

%% Update menu buttons
artoa.controller.updateMenuButtons();

end

